﻿using System;
using System.Collections.Generic;
using DES.PopulationGrowth;
using DES.PopulationGrowth.Objects;

namespace DES
{
    class Program
    {
        static void Main()
        {
            var population = new List<Individual>
                                 {
                                     new Male(2),
                                     new Female(2),
                                     new Male(3),
                                     new Female(4),
                                     new Male(5),
                                     new Female(3)
                                 };

            var sim = new Simulation(population, 1000);
            sim.Execute();

            // Print population after simulation
            foreach (var individual in sim.Population)
                Console.WriteLine("Individual {0}", individual);

            Console.ReadLine();
        }
    }
}
